# Class ChannelOperationResult | EchoHub Documentation

# Class ChannelOperationResult

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record ChannelOperationResult : IEquatable<ChannelOperationResult>

Inheritance
  object
  ChannelOperationResult

Implements
  IEquatable<ChannelOperationResult>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### ChannelOperationResult(ChannelDto?, ChannelError?, string?)

    public ChannelOperationResult(ChannelDto? Channel, ChannelError? Error, string? ErrorMessage)

#### Parameters

`Channel` ChannelDto
`Error` ChannelError?
`ErrorMessage` string

### ChannelOperationResult(ChannelOperationResult)

    protected ChannelOperationResult(ChannelOperationResult original)

#### Parameters

`original` ChannelOperationResult

## Properties

### Channel

    public ChannelDto? Channel { get; init; }

#### Property Value

ChannelDto

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Error

    public ChannelError? Error { get; init; }

#### Property Value

ChannelError?

### ErrorMessage

    public string? ErrorMessage { get; init; }

#### Property Value

string

### IsSuccess

    public bool IsSuccess { get; }

#### Property Value

bool

## Methods

### Deconstruct(out ChannelDto?, out ChannelError?, out string?)

    public void Deconstruct(out ChannelDto? Channel, out ChannelError? Error, out string? ErrorMessage)

#### Parameters

`Channel` ChannelDto
`Error` ChannelError?
`ErrorMessage` string

### Equals(ChannelOperationResult?)

    public virtual bool Equals(ChannelOperationResult? other)

#### Parameters

`other` ChannelOperationResult

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### Fail(ChannelError, string)

    public static ChannelOperationResult Fail(ChannelError error, string message)

#### Parameters

`error` ChannelError
`message` string

#### Returns

ChannelOperationResult

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### Success(ChannelDto)

    public static ChannelOperationResult Success(ChannelDto channel)

#### Parameters

`channel` ChannelDto

#### Returns

ChannelOperationResult

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(ChannelOperationResult?, ChannelOperationResult?)

    public static bool operator ==(ChannelOperationResult? left, ChannelOperationResult? right)

#### Parameters

`left` ChannelOperationResult
`right` ChannelOperationResult

#### Returns

bool

### operator !=(ChannelOperationResult?, ChannelOperationResult?)

    public static bool operator !=(ChannelOperationResult? left, ChannelOperationResult? right)

#### Parameters

`left` ChannelOperationResult
`right` ChannelOperationResult

#### Returns

bool